/*
 * @Author: XianKaiQun
 * @Date: 2020-07-30 08:52:11
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-17 10:40:11
 * @Description: 
 */

///保洁、安保模板
class CleanTemplateModel {
  String? id;
  String? number;
  String? positionName;
  List<CleanTemplateVosOfCleanTemplateModel>? cleanTemplateVos;
  num? uploadPhotoProbability;

  CleanTemplateModel({
    this.id,
    this.number,
    this.positionName,
    this.cleanTemplateVos,
    this.uploadPhotoProbability,
  });

  CleanTemplateModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    number = map['number'];
    positionName = map['positionName'];
    cleanTemplateVos = List<CleanTemplateVosOfCleanTemplateModel>.from(
        (map["cleanTemplateVos"] ?? [])
            .map((x) => CleanTemplateVosOfCleanTemplateModel.fromJson(x)));
    uploadPhotoProbability = map['uploadPhotoProbability'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['number'] = this.number;
    json['positionName'] = this.positionName;
    json['cleanTemplateVos'] =
        List<dynamic>.from((cleanTemplateVos ?? []).map((x) => x.toJson()));

    return json;
  }
}

class CleanTemplateVosOfCleanTemplateModel {
  String? id;
  String? qrcodeManagementId;
  String? item;
  num? sort;

  CleanTemplateVosOfCleanTemplateModel({
    this.id,
    this.qrcodeManagementId,
    this.item,
    this.sort,
  });

  CleanTemplateVosOfCleanTemplateModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    qrcodeManagementId = map['qrcodeManagementId'];
    item = map['item'];
    sort = map['sort'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['qrcodeManagementId'] = this.qrcodeManagementId;
    json['item'] = this.item;
    json['sort'] = this.sort;

    return json;
  }
}
